(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.bee_hotel = {
    attach: function (context, settings) {
      $(document, context).once('bee_hotel').each(function () {
        function getYesterdaysDate() {
          var date = new Date();
          date.setDate(date.getDate() - 1);
          var pieces = new Array(date.getFullYear(), (date.getMonth() + 1), date.getDate());
          return pieces.join('-');
        }
        let format = 'YYYY-MM-DD';
        let yestarday = getYesterdaysDate();
        const disallowedDates = [['2001-01-01', yestarday]];
        new Litepicker({
          element: document.getElementById('edit-dates'),
          singleMode: 0,
          format: 'D MMM YYYY',
          tooltipText: {
            one: 'night',
            other: 'nights'
          },
          tooltipNumber: (totalDays) => {
            return totalDays - 1;
          },
          lockDaysFormat:format,
          lockDays:disallowedDates,
        });
      });
    }
  }
} (jQuery, Drupal, drupalSettings));
